Subject: Re: [PATCH 0/2] contrib/subtree: Add -S/--gpg-sign option

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 May 2025 16:15:19 -0700

Patrik Weiskircher <[email-masked]> writes:

> Hi!
>
> We use git subtree a lot to manage our dependencies, but recently started
> requiring signed commits. This patch adds support for signing commits to
> git subtree.
>
> This is my first submission to the Git project - you don't have to be gentle,
> but please let me know if I can improve anything.

A few things ;-) starting from the log message where you didn't
quite add why we would want to do these changes.

Also, I think these two should be combined into a single patch.  We
add a feature and make sure the feature works correctly and we also
make sure that the feature does not misfire when the user does not
ask it to trigger, all in the same commit.